Bug 176790 - Incorrect completion when quoting last component of path
Incorrect completion when quoting last component of path
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: bash-completion (Show other bugs)
11
All Linux
medium Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: MoveUpstream, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-02 15:19 EST by Jonathan Wakely
Modified: 2009-11-22 16:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-22 16:32:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Wakely 2006-01-02 15:19:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-GB; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:

Tab completion is wrong when completing a file path if the last component is quoted. 

Version-Release number of selected component (if applicable):
bash-3.0-31

How reproducible:
Always

Steps to Reproduce:
1. mkdir d
2. touch d/f
3. ls d/'<TAB><Enter>
  

Actual Results:  ls: d/d/f: No such file or directory

Expected Results:  d/f

Additional info:

The argument expands to d/'d/f'

Works OK if the quote is at the start of the path
i.e. 'd/<TAB> is correctly completed to 'd/f'

Probably related is the fact that typing ESC-? instead of <TAB> in Step 3 above will show the contents of the current directory not the contents of 'd' as expected.

I have bash-completion-20050721-1.fc4 installed.
Comment 1 Jonathan Wakely 2006-01-03 04:06:42 EST
I don't see this behaviour with bash 2.05.0(1)-release on SunOS or
3.00.16(1)-release on Suse9 (no bash-completion in either case)

In both cases the steps above produce no expansion, pressing <TAB> again shows
the files in the current working dir, not the file in the directory 'd', so
tab-completion of partially-quoted paths does not work.
Comment 2 Tim Waugh 2006-01-03 04:32:32 EST
I think the difference you're seeing is just due to what other files are in your
CWD.  Try:

rm -rf arena
mkdir arena
cd arena
mkdir d
touch d/f
ls d/'<TAB>

Also happens with bash-3.1.
Comment 3 Jonathan Wakely 2006-01-03 04:50:05 EST
Re: comment #2
Tim, you're right, sorry for the noise.
Comment 4 Tim Waugh 2006-01-03 08:58:18 EST
Reported upstream.
Comment 5 Tim Waugh 2006-01-03 11:10:19 EST
Upstream response:

-->
Readline understands single- and double-quoted strings and uses them
as individual words to complete.  The quotes are word breaks.  This
has been the case for a very long time.

Chet
<--
Comment 6 Jonathan Wakely 2006-01-05 19:34:37 EST
OK, try this:

mkdir -p arena/d1 arena/d2
cd arena
touch d1/f
ls d1/'<TAB>

If this starts a new word, it should expand to d1/'d and stop, instead it
expands to d1/'d1/f' which means the look up of '<TAB> finds d1/f but not d2

That's what happens on the Suse system, and also on FC4 if I uninstall
bash-completion i.e. it's a bash-completion bug and should be re-opened.



Comment 7 Tim Waugh 2006-01-06 06:06:03 EST
bash-completion is not part of the bash package.
Comment 8 Ville Skyttä 2006-01-06 06:46:28 EST
Reproduced also with bash 3.1 in Rawhide.  No time to dig deeper now, but I
think upstream (ian@caliban.org) would be interested in hearing about this.
Comment 9 Jonathan Wakely 2006-01-06 18:21:20 EST
I tried to change this bug to bash-completion when I the bug was in that
package, but it wasn't in the dropdown.  Should I have changed the product to
Extras, submitted and tried again?
Comment 10 Ville Skyttä 2006-01-07 15:42:28 EST
Probably, and Bugzilla would probably have noticed that the component "bash"
doesn't exist in Extras and asked you to specify a new one before letting it
proceed.  Anyway, it's already corrected.
Comment 11 Jonathan Wakely 2006-07-29 10:18:59 EDT
still present in FC5's bash-completion-20060301.noarch
Comment 12 Ville Skyttä 2007-01-01 16:03:42 EST
Still present in FC6's bash-completion-20060301-2.fc6.noarch, bumping distro
version now that FC < 5 are EOL in Extras.
Comment 13 Red Hat Bugzilla 2007-02-05 14:23:00 EST
REOPENED status has been deprecated. ASSIGNED with keyword of Reopened is preferred.
Comment 14 Till Maas 2008-01-05 08:42:29 EST
still present in Fedora 7 (bash-completion-20060301-3.fc7)
Comment 15 Bug Zapper 2008-05-14 07:58:47 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2008-11-26 01:54:13 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-01-09 01:55:15 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 18 Jonathan Wakely 2009-01-10 09:15:13 EST
still present in F10
Comment 19 Jonathan Wakely 2009-01-10 09:16:42 EST
how do i re-open this?
Comment 20 Ville Skyttä 2009-01-18 17:48:32 EST
Still present in Rawhide's 20080705-2.20090115bzr1252
Comment 21 Bug Zapper 2009-11-18 04:14:48 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.